Name:           bsp
Version:        5.2
Release:        5%{?dist}
Summary:        The most popular node builder for Doom

Group:          Amusements/Games
License:        GPLv2+
URL:            http://games.moria.org.uk/doom/bsp/
Source0:        http://games.moria.org.uk/doom/bsp/download/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Before you can play a level that you have created, you must use a node
builder to create the data that Doom will use to render the level.
Doom uses a rendering algorithm based on a binary space partition,
otherwise known as a BSP tree. This is stored in a data lump called
NODES in the WAD file. This data structure must be pre-calculated and
stored in the WAD file before the level can be played; the tool that
does this is called a node builder.

BSP is one of several node builders that can do this. There are
others: idbsp is the original node builder that id Software used on
the original Doom levels, for instance. BSP was the best known and
most widely used node builder throughout the height of the Doom
editing craze in the mid 1990s.


%prep
%setup -q
iconv -f ISO_8859-2 -t UTF8 bsp.6 > bsp.6.tmp
mv bsp.6.tmp bsp.6


%build
%configure
make CFLAGS='%{optflags}' %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 bsp $RPM_BUILD_ROOT/%{_bindir}/bsp
install -D -p -m 644 bsp.6 $RPM_BUILD_ROOT/%{_mandir}/man6/bsp.6


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README visplane.txt test-wads/
%{_bindir}/bsp
%{_mandir}/man6/bsp.6*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 11 2010 Jon Ciesla <limb@jcomserv.net> - 5.2-4
- Typo correction.

* Tue May 11 2010 Jon Ciesla <limb@jcomserv.net> - 5.2-3
- Compiler flags correction.

* Mon May 10 2010 Jon Ciesla <limb@jcomserv.net> - 5.2-2
- debuginfo fix.

* Fri May 07 2010 Jon Ciesla <limb@jcomserv.net> - 5.2-1
- First build.
